Package org.jboss.classfilewriter.code

# Class BranchEnd

java.lang.Object
org.jboss.classfilewriter.code.BranchEnd

public class BranchEnd extends Object
Marker that is used to create the end of a branch instruction.

Author:
  Stuart Douglas

## Constructor Summary

Constructors
Constructor
Description
`BranchEnd(int branchLocation, StackFrame stackFrame, boolean jump32Bit, int offsetLocation)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BranchEnd

public BranchEnd(int branchLocation, StackFrame stackFrame, boolean jump32Bit, int offsetLocation)